API Explorer 896 endpoints

Create new certification_scheme

POST /obp/dynamic-entity/banks/ogcr/certification_scheme

OBPv4.0.0-dynamicEntity_createcertification_scheme_ogcr Roles: CanCreateDynamicEntityRecord_certification_scheme(per bank) _Certification_scheme(ogcr)Dynamic-EntityDynamic

Create new certification_scheme.

‘certification scheme’ means an organisation that certifies the compliance of activities and operators with the quality criteria and certification rules set out in this Regulation;. This Dynamic Entity is part of OGCR.

Property List:

  • certification_scheme_id: Unique identifier for certification scheme entity.
  • legal_name: Public name of the certification scheme.
  • logo: URL or asset reference to a logo image for UI/PDF rendering.
  • commission_decision_reference: "the Commission decision recognising that scheme"
  • certification_methodology: Methodology(ies) the scheme applies (identifier + version).
  • scheme_version_number: Scheme rulebook version used for this certification

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"certification_scheme"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "certification_scheme_id": "cs_01HZZ1K0X5F6Q7R8S9T0",
  "legal_name": "CRCF Scheme",
  "logo": "https://cdn.example.org/logos/dnv.png",
  "email": "string",
  "commission_decision_reference": "Commission Decision C(2026)1234",
  "certification_methodology": "{\"id\": \"crcf_agri_mineral_soils\", \"version\": \"1.0\"}",
  "scheme_version_number": "v1.3"
}
Example success response
{
  "bank_id": "ogcr",
  "certification_scheme": {
    "certification_scheme_id": "cs_01HZZ1K0X5F6Q7R8S9T0",
    "legal_name": "CRCF Scheme",
    "logo": "https://cdn.example.org/logos/dnv.png",
    "email": "string",
    "commission_decision_reference": "Commission Decision C(2026)1234",
    "certification_methodology": "{\"id\": \"crcf_agri_mineral_soils\", \"version\": \"1.0\"}",
    "scheme_version_number": "v1.3"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createcertification_scheme_ogcr Originally /banks/ogcr/certification_scheme